var unique = 0
module.exports = function throttle(fn, delay) {
	if (typeof delay != 'number') { delay = 50 }
	var lastInvocationName = '__throttleTime__' + (++unique)
	return function throttled() {
		if (this[lastInvocationName] + delay > new Date().getTime()) { return }
		this[lastInvocationName] = new Date().getTime()
		fn.apply(this, arguments)
	}
}
